## sgml-base-doc 1.16

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for sgml-base-doc
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_name	:= sgml_layout
doc_sgml	:= $(doc_name).sgml
doc_html	:= $(doc_name).html
doc_pdf		:= $(doc_name).pdf
doc_txt		:= $(doc_name).txt

## ----------------------------------------------------------------------
## General definitions
RMR		:= /bin/rm -fr

## ----------------------------------------------------------------------
## Targets
all:		$(doc_sgml)

		nsgmls -wall -E20 -gues $^
		debiandoc2html $^
		debiandoc2latexpdf -p letter $^
		debiandoc2text $^

clean:

		$(RMR) $(doc_html) $(doc_pdf) $(doc_txt)

## ----------------------------------------------------------------------

## sgml-base-doc 1.13

=== debian/changelog ===
sgml-base-doc (1.13) unstable; urgency=low

  * Initial release as a separate package

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 17 Feb 2002 13:34:28 -0600

=== debian/control ===
Source: sgml-base-doc
Section: doc
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>= 3.0.5), debiandoc-sgml, libpaperg, sp, tetex-bin, tetex-extra

Package: sgml-base-doc
Section: doc
Priority: optional
Architecture: all
Conflicts: sgml-base (<= 1.12)
Replaces: sgml-base (<= 1.12)
Suggests: sgml-base (>= 1.13)
Description: Documentation for sgml-base
 This package contains the documentation for sgml-base in HTML, PDF
 and plain text format.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for sgml-base-doc
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
## use version 3
export DH_COMPAT=3

## ----------------------------------------------------------------------
## targets

build:		build-stamp
build-stamp:
		dh_testdir
		$(MAKE)
		touch build-stamp

clean:
		dh_testdir
		dh_testroot
		-$(MAKE) clean
		dh_clean
		rm -f build-stamp

binary-indep:	build
		dh_testdir
		dh_testroot
		dh_clean
		dh_installdirs
		dh_installdocs
		dh_installchangelogs
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------

## sgml-base-doc 1.16

=== debian/changelog ===
sgml-base-doc (1.16) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)
  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer to 'Uploaders'

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 22 Apr 2004 07:54:27 -0500

sgml-base-doc (1.15) unstable; urgency=low

  * Removed document sources from binary package and indicated in
    README.Debian how to get the source package
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 12 Aug 2003 21:02:30 -0500

sgml-base-doc (1.14) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-indep' target
  * debian/copyright: added pointer to license

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 10 Aug 2002 13:58:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: sgml-base-doc
 Section: doc
 Priority: optional
-Maintainer: Ardo van Rangelrooij <ardo@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper (>= 3.0.5), debiandoc-sgml, libpaperg, sp, tetex-bin, tetex-extra
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Uploaders: Ardo van Rangelrooij <ardo@debian.org>
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>= 4.1), debiandoc-sgml, libpaperg, sp, tetex-bin, tetex-extra
 
 Package: sgml-base-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,17 @@
 #export DH_VERBOSE=1
 
 ## ----------------------------------------------------------------------
-## use version 3
-export DH_COMPAT=3
+TMP_DIR		= debian/tmp
 
 ## ----------------------------------------------------------------------
 ## targets
+
+clean:
+		dh_testdir
+		dh_testroot
+		[ ! -f Makefile ] || $(MAKE) clean
+		dh_clean
+		rm -f build-stamp install-stamp
 
 build:		build-stamp
 build-stamp:
@@ -20,18 +26,17 @@
 		$(MAKE)
 		touch build-stamp
 
-clean:
+install:	install-stamp
+install-stamp:	build
 		dh_testdir
 		dh_testroot
-		-$(MAKE) clean
-		dh_clean
-		rm -f build-stamp
+		dh_clean -k
+		dh_installdirs
+		touch install-stamp
 
-binary-indep:	build
+binary-indep:	build install
 		dh_testdir
 		dh_testroot
-		dh_clean
-		dh_installdirs
 		dh_installdocs
 		dh_installchangelogs
 		dh_compress
@@ -45,6 +50,6 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY:		build clean binary-indep binary-arch binary
+.PHONY:		clean build install binary-indep binary-arch binary
 
 ## ----------------------------------------------------------------------

## sgml-base-doc 1.99.1

=== debian/changelog ===
sgml-base-doc (1.99.1) unstable; urgency=low

  * Upload to unstable to fix FTBFS.
  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Increased for dh level 7.
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/compat: Bumped to 7.
  * debian/rules: Adjusted for dh level 7.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 22 Jan 2010 01:18:03 +0100

sgml-base-doc (1.99.0) experimental; urgency=low

  * Makefile: Dropped build system. debian/rules and debhelper are enough.

  * debian/compat: Increased compatibility level to 5.
  * debian/control: Added Vcs*, Homepage and DM-Upload-Allowed fields.
    (Uploaders): Added myself.
    (Build-Depends-Indep): Moved debhelper to Build-Depends. Replaced tetex*
    packages by texlive packages (closes: #562307).
    (Standards-Version): Bumped to 3.8.2.
  * debian/rules: Rewritten in parts. Now contains all stuff from the
    Makefile. Added a check target.
  * debian/sgml-base-doc.doc-base (Document): Fixed. Thanks to lintian.
  * debian/sgml-base-doc.README.Debian: Renamed to debian/README.Debian.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 12 Jul 2009 16:21:16 +0200

=== debian/control ===
Source: sgml-base-doc
Section: doc
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Standards-Version: 3.8.3
Build-Depends: debhelper (>> 7.0.50~)
Build-Depends-Indep: debiandoc-sgml, ghostscript, libpaperg, sp, texlive, texlive-latex-extra
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/sgml-base-doc/
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/sgml-base-doc/trunk/
Homepage: http://debian-xml-sgml.alioth.debian.org
DM-Upload-Allowed: yes

Package: sgml-base-doc
Architecture: all
Conflicts: sgml-base (<= 1.12)
Replaces: sgml-base (<= 1.12)
Depends: ${misc:Depends}
Suggests: sgml-base (>= 1.13)
Description: Documentation for sgml-base
 This package contains the documentation for sgml-base, providing the
 SGML infrastructure directories and catalog file support, in HTML, PDF
 and plain text format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PACKAGE  = sgml-base-doc
PKG_DOCS = sgml_layout.html sgml_layout.pdf sgml_layout.txt


.SUFFIXES: .html .pdf .sgml .txt
.sgml.html:
	debiandoc2html $<
.sgml.pdf:
	debiandoc2latexpdf -p letter $^
.sgml.txt:
	debiandoc2text $^


check: check-stamp
check-stamp: sgml_layout.sgml
	dh_testdir
	nsgmls -wall -E20 -gues $<
	touch $@

build: $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check) $(PKG_DOCS)

binary binary-arch binary-indep clean install:
	dh $@

override_dh_clean:
	$(RM) -r $(PKG_DOCS) sgml_layout.tpt
	dh_clean

.PHONY: binary binary-arch binary-indep check clean install

## sgml-base-doc 1.99.2

=== debian/changelog ===
sgml-base-doc (1.99.2) unstable; urgency=medium

  * QA upload.
  * Changed build dependency on sp to opensp.

 -- Neil Roeth <neil@debian.org>  Mon, 05 Sep 2016 20:26:31 -0400

=== debian/control ===
Source: sgml-base-doc
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>> 7.0.50~)
Build-Depends-Indep: debiandoc-sgml, ghostscript, libpaperg, opensp, texlive, texlive-latex-extra
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/sgml-base-doc/
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/sgml-base-doc/trunk/
Homepage: http://debian-xml-sgml.alioth.debian.org

Package: sgml-base-doc
Architecture: all
Conflicts: sgml-base (<= 1.12)
Replaces: sgml-base (<= 1.12)
Depends: ${misc:Depends}
Suggests: sgml-base (>= 1.13)
Description: Documentation for sgml-base
 This package contains the documentation for sgml-base, providing the
 SGML infrastructure directories and catalog file support, in HTML, PDF
 and plain text format.

## sgml-base-doc 1.99.2+nmu1

=== debian/changelog ===
sgml-base-doc (1.99.2+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 15:33:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 check: check-stamp
 check-stamp: sgml_layout.sgml
 	dh_testdir
-	nsgmls -wall -E20 -gues $<
+	onsgmls -wall -E20 -gues $<
 	touch $@
 
 build: $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check) $(PKG_DOCS)

## sgml-base-doc 1.99.3

=== debian/changelog ===
sgml-base-doc (1.99.3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Set DEBIANDOC_DATE based on SOURCE_DATE_EPOCH.
    (Closes: #1010787)
  * Update to debhelper-compat 13. (Closes: #998964)
  * README.Debian: Fix typo.
  * Switch to source format 3.0 (native).
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Reference GPL-2 in common-licenses.
  * debian/control: Comment out Vcs-* and Homepage fields as the services
    are no longer reachable.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 09 May 2022 19:09:19 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>> 7.0.50~)
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: debiandoc-sgml, ghostscript, libpaperg, opensp, texlive, texlive-latex-extra
-Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/sgml-base-doc/
-Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/sgml-base-doc/trunk/
-Homepage: http://debian-xml-sgml.alioth.debian.org
+#Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/sgml-base-doc/
+#Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/sgml-base-doc/trunk/
+#Homepage: http://debian-xml-sgml.alioth.debian.org
+Rules-Requires-Root: no
 
 Package: sgml-base-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PACKAGE  = sgml-base-doc
PKG_DOCS = sgml_layout.html sgml_layout.pdf sgml_layout.txt

# Ensure reproducible date
export DEBIANDOC_DATE = $(shell date --utc --date=@$(SOURCE_DATE_EPOCH) '+%Y-%m-%d')

.SUFFIXES: .html .pdf .sgml .txt
.sgml.html:
	debiandoc2html $<
.sgml.pdf:
	debiandoc2latexpdf -p letter $^
.sgml.txt:
	debiandoc2text $^

override_dh_auto_test: sgml_layout.sgml
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	onsgmls -wall -E20 -gues $<
endif

override_dh_auto_build: $(PKG_DOCS)

%:
	dh $@

override_dh_clean:
	$(RM) -r $(PKG_DOCS) sgml_layout.tpt
	dh_clean

## sgml-base-doc 1.99.4

=== debian/changelog ===
sgml-base-doc (1.99.4) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 3.5.6 to 4.7.2.
  * Use wrap-and-sort -at for debian control files.
  * Drop unneeded version constraints from (build) dependencies.
  * Generate a machine-readable debian/copyright.
  * Add debian/salsa-ci.yml.
  * Add Multi-Arch: foreign.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 02 Mar 2025 15:57:02 +0100

=== debian/control ===
Source: sgml-base-doc
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: doc
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: debiandoc-sgml,
                     ghostscript,
                     libpaperg,
                     opensp,
                     texlive,
                     texlive-latex-extra
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/sgml-base-doc
Vcs-Git: https://salsa.debian.org/debian/sgml-base-doc.git
#Homepage: http://debian-xml-sgml.alioth.debian.org
Rules-Requires-Root: no

Package: sgml-base-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: sgml-base
Description: Documentation for sgml-base
 This package contains the documentation for sgml-base, providing the
 SGML infrastructure directories and catalog file support, in HTML, PDF
 and plain text format.

## sgml-base-doc 1.99.4build1

=== debian/changelog ===
sgml-base-doc (1.99.4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:14:58 +0100
